package pada.da.servlets.basic;

import java.io.*;
import javax.servlet.*;
import javax.servlet.annotation.*;
import javax.servlet.http.*;

@WebServlet(value="/Tee")
public class TeaServlet extends HttpServlet
{
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
              throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet-Bearbeitung der Teebestellung");
        out.println("</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Auftragsbest&auml;tigung</h1>");
        out.println("Hiermit best&auml;tigen wir Ihren Auftrag:");
        out.println("<ul>");
        out.println("<li>Teesorte: " + request.getParameter("Teesorte"));
        out.println("<li>bestellt von: " + request.getParameter("Besteller"));
        out.println("<li>Kartennummer (nur zur Demo angezeigt): "
                    + request.getParameter("Kreditkartennummer"));
        if(request.getParameter("Eile") != null)
        {
            out.println("<li><b>Eilbestellung</b>");
        }
        out.println("</ul>");
        out.println("Vielen Dank f&uuml;r Ihren Auftrag. "
                    + "Bestellen Sie bald wieder bei uns!");
        out.println("</body>");
        out.println("</html>");
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response)
              throws IOException, ServletException
    {
        doPost(request, response);
    }
}