package pada.pa.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

@SuppressWarnings("serial") 
class ClickCounterPanel extends JPanel implements ActionListener
{
    private int times;
    private JLabel l;

    public ClickCounterPanel()
    {
        setLayout(new GridLayout(0, 1));
        JButton b = new JButton("Drck mich!");
        add(b);
        b.addActionListener(this);
        l = new JLabel();
        add(l);
    }

    public void actionPerformed(ActionEvent evt)
    {
        times++;
        l.setText("Ich wurde " + times + " mal gedrckt.");
    }
}

@SuppressWarnings("serial")
public class ClickCounter extends JApplet
{
    public void init()
    {
        add(new ClickCounterPanel());
    }

    public static void main(String[] args)
    {
        JFrame f = new JFrame("Beispiel fr Button");
        f.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        f.add(new ClickCounterPanel());
        f.setLocation(100, 50);
        f.setSize(300, 100);
        f.setVisible(true);
    }
}